data <- array(1:(25*24), c(lat = 5, lon = 5, hour = 24))

res <- apply(data, 1:2, function(x) { apply(t(x), 2, rev)})
res2 <- ClimProjDiags::Subset(data, along = 'lat', indices = 5:1)
all(res, s2dv::Reorder(res, c(3,1,2)))
